Subject: bug#181: 23.0.60; OSX: Case insensitive file name completion

From: Markus Triska <[email-masked]>
Date: Fri, 2 May 2008 07:29:01 +0200 (CEST)

On OSX 10.4.11, I have ~/Desktop and ~/DES.pdf. Until recently, when I
did "C-x C-f ~/Des TAB", it would expand to Desktop. Now, both
"DES.pdf" and "Desktop" are considered possible expansions of "Des".

I see the point, because the default file system on OSX appears to be
case insensitive. Still, it is a regression for me: I find the
previous default behaviour of Emacs (which is also the default in
22.2) much better, since it often allows faster expansion if you know
the stored case of a file. Is there a way to get it back? Thanks!

In GNU Emacs 23.0.60.2 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-04-29 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
configured using `configure  '--disable-font-backend''